global:
  scrape_interval: 15s

scrape_configs:
  - job_name: 'prometheus'
    static_configs:
      - targets: ['devhost.todo-list-app.deusops.kromanyon.ru:9090']

  - job_name: 'node-exporter'
    static_configs:
      - targets: ['devhost.todo-list-app.deusops.kromanyon.ru:9100']

  - job_name: 'cadvisor'
    static_configs:
      - targets: ['devhost.todo-list-app.deusops.kromanyon.ru:9080']

  - job_name: 'does not work'
    static_configs:
      - targets: ['nonexistant.local:9100']

rule_files:
  - 'prometheus_alert_rules.yml'

alerting:
  alertmanagers:
  - static_configs:
    - targets:
      - 'alertmanager:9093'